### ssl::context_base

The `ssl::context_base` class is used as a base for the basic_context class template so that we have a common place to define various enums.

    class context_base

##### Types

Name | Description
--- | ---
file_format | File format types.
method | Different methods supported by a context.
options | Bitmask type for SSL options.
password_purpose | Purpose of PEM password.

##### Protected Member Functions

Name | Description
--- | ---
~context_base [destructor] | Protected destructor to prevent deletion through this type.

##### Data Members

Name | Description
--- | ---
default_workarounds [static] | Implement various bug workarounds.
no_compression [static] | Disable compression. Compression is disabled by default.
no_sslv2 [static] | Disable SSL v2.
no_sslv3 [static] | Disable SSL v3.
no_tlsv1 [static] | Disable TLS v1.
no_tlsv1_1 [static] | Disable TLS v1.1.
no_tlsv1_2 [static] | Disable TLS v1.2.
no_tlsv1_3 [static] | Disable TLS v1.3.
single_dh_use [static] | Always create a new key when using tmp_dh parameters.

##### Requirements

Header: `asio/ssl/context_base.hpp`

Convenience header: `asio/ssl.hpp`